Bug 66713 - Team Fortress 2 crashes with r600-sb on HD4850
Team Fortress 2 crashes with r600-sb on HD4850
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600
git
x86-64 (AMD64) Linux (All)
: medium major
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 21:45 UTC by Hubert Kario
Modified: 2013-07-28 13:05 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Team fortress 2 with R600_DEBUG=sb,ps,vs (638.12 KB, application/x-gzip)
2013-07-13 11:00 UTC, Hubert Kario
Details
[PATCH 1/2] r600g/sb: fix register allocation (915 bytes, patch)
2013-07-14 02:40 UTC, Vadim Girlin
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Hubert Kario 2013-07-08 21:45:19 UTC
I'm experiencing TF2 crash when running current (as of today) git master when specifying R600_DEBUG=sb

the crash occurs as soon as the map is shown (right after the server config was loaded)

My GPU is Advanced Micro Devices, Inc. [AMD/ATI] RV770 [Radeon HD 4850]

mesa version:
OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD RV770
OpenGL core profile version string: 3.1 (Core Profile) Mesa 9.2.0-devel (git-1415a18)
OpenGL core profile shading language version string: 1.40

unfortunately the game's console output isn't really helpful:
Redownloading all lightmaps
m_face->glyph->bitmap.width is 0 for ch:32 TF2
m_face->glyph->bitmap.width is 0 for ch:32 TF2 Professor
m_face->glyph->bitmap.width is 0 for ch:32 TF2
m_face->glyph->bitmap.width is 0 for ch:32 TF2
m_face->glyph->bitmap.width is 0 for ch:32 TF2 Professor
ALSA lib pcm.c:7339:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7339:(snd_pcm_recover) underrun occurred
Uploading dump (out-of-process) [proxy '']
/tmp/dumps/crash_20130708231132_1.dmp
ALSA lib pcm.c:7339:(snd_pcm_recover) underrun occurred
Game removed: AppID 440 "Team Fortress 2", ProcID 619 
/mnt/backup/Steam/SteamApps/common/Team Fortress 2/hl2.sh: line 67:   619 Aborted                 (core dumped) ${GAME_DEBUGGER} "${GAMEROOT}"/${GAMEEXE} "$@"
Generating new string page texture 172: 256x256, total string texture memory is 2.83 MB
Finished uploading minidump (out-of-process): success = yes
response: CrashID=bp-e81b0255-1345-437c-b5e9-47a552130708
Generating new string page texture 178: 24x256, total string texture memory is 2.85 MB
unlinked 2 orphaned pipes
CAsyncIOManager: 0 threads terminating.  0 reads, 0 writes, 0 deferrals.
CAsyncIOManager: 12948 single object sleeps, 0 multi object sleeps
CAsyncIOManager: 0 single object alertable sleeps, 3 multi object alertable sleeps

the game runs fine for extended periods of time with regular backend
Comment 1 Hubert Kario 2013-07-08 21:54:04 UTC
looks like the 32 bit mesa is a bit newer:
OpenGL core profile version string: 3.1 (Core Profile) Mesa 9.2.0-devel (git-085c695)
Comment 2 Vadim Girlin 2013-07-09 23:42:08 UTC
Please attach the output with "R600_DEBUG=sb,ps,vs", gdb backtrace might help too.

I tried some training modes and connected to some servers and so far I don't see any crashes. I never played TF2 though, so please decribe how exactly it can be reproduced, perhaps it's also specific to some map or video settings?
Comment 3 Hubert Kario 2013-07-13 11:00:25 UTC
Created attachment 82385 [details]
Team fortress 2 with R600_DEBUG=sb,ps,vs

As far as I can tell, it's not related to the map (tried 3 different, both online and offline) and video settings (happens with every setting on "low" and "high").

The reproducer for me is just "try to play on a map", if that doesn't work for you, I can help diagnose and debug it remotely.

Full debug output is in the attachment, last shader and few lines of game output:

===== SHADER #193 ========================================== PS/RV770/R700 =====
===== 644 dw ===== 19 gprs ===== 0 stack =======================================
0000  80000016 a1180000 ALU 71 @44 KC0[CB0:0-31]
 0044  80000c04 60000c90     1      w: MOV                R0.w,  R4.w
 0046  80000807 01800c90     2      x: MOV                R12.x,  R7.z
 0048  00000000 00000010     3      x: ADD                R0.x,  R0.x, R0.x
 0050  00800400 21000010            y: ADD                R8.y,  R0.y, R0.y
 0052  01000800 40000010            z: ADD                R0.z,  R0.z, R0.z
 0054  800000fd 60800c90            w: MOV                R4.w,  [0x3f800000 1].x
 0056  3f800000 
 0058  0300848c 01000010     4      x: ADD                R8.x,  KC0[12].y, -R4.z
 0060  03008884 20000010            y: ADD                R0.y,  KC0[4].z, -R4.z
 0062  001fa8fe 41c00010            z: ADD                R14.z,  PV.z, [0xbf800000 -1].x
 0064  801f3803 60400010            w: ADD                R2.w,  -R3.z, 1.0
 0066  bf800000 
 0068  80000400 01203310     5      t: RECIP_IEEE         R9.x,  R0.y
 0070  82808495 22000010     6      y: ADD                R16.y,  KC0[21].y, -R4.y
 0072  80000c02 41003310     7      t: RECIP_IEEE         R8.z,  R2.w
 0074  81128007 60400110     8      w: MUL_IEEE           R2.w,  R7.x, KC0[20].z
 0076  00010009 81000110     9      x: MUL_IEEE_sat       R8.x,  R9.x, R8.x
 0078  00928007 20100110            y: MUL_IEEE           R0.y,  R7.x, KC0[20].y        VEC_201
 0080  00128007 40100110            z: MUL_IEEE           R0.z,  R7.x, KC0[20].x        VEC_201
 0082  801fa484 60e01910            w: XOR_INT            R7.w,  KC0[4].y, [0x80000000 -0].x
 0084  80000000 
 0086  018000fe 01000110    10      x: MUL_IEEE           R8.x,  PV.x, R0.w
 0088  00001403 21400c90            y: MOV                R10.y,  -R3.y
 0090  00000080 40e00c90            z: MOV                R7.z,  KC0[0].x
 0092  800000fd 60600c90            w: MOV                R3.w,  [0x40200000 2.5].x
 0094  40200000 
 0096  019180fe 81000110    11      x: MUL_IEEE_sat       R8.x,  PV.x, KC0[12].w
 0098  000008fe a0e00c90            y: MOV_sat            R7.y,  PV.z
 0100  801f3885 40e00010            z: ADD                R7.z,  -KC0[5].z, 1.0
 0102  02008095 02000010    12      x: ADD                R16.x,  KC0[21].x, -R4.x
 0104  018064fe 20e280fd            y: MULADD_IEEE        R7.y,  PV.y, R3.w, [0xbfa00000 -1.25].x
 0106  001f3485 41a00010            z: ADD                R13.z,  -KC0[5].y, 1.0
 0108  801f3085 60600010            w: ADD                R3.w,  -KC0[5].x, 1.0
 0110  bfa00000 
 0112  001fa000 01c00010    13      x: ADD                R14.x,  R0.x, [0xbf800000 -1].x
 0114  0000000c 21880c90            y: MOV                R12.y,  R12.x                 VEC_120
 0116  03008895 42000010            z: ADD                R16.z,  KC0[21].z, -R4.z
 0118  809fa084 61001910            w: XOR_INT            R8.w,  KC0[4].x, [0x80000000 -0].y
 0120  bf800000 
 0121  80000000 
 0122  019fc004 01600010    14      x: ADD                R11.x,  R4.x, PV.w
 0124  001fa408 21c00010            y: ADD                R14.y,  R8.y, [0xbf800000 -1].x
 0126  009fa08c 41201910            z: XOR_INT            R9.z,  KC0[12].x, [0x80000000 -0].y
 0128  80000c83 61e00c90            w: MOV                R15.w,  KC0[3].w
 0130  bf800000 
 0131  80000000 
 0132  00001003 01400c90    15      x: MOV                R10.x,  -R3.x
 0134  0180e404 21600010            y: ADD                R11.y,  R4.y, R7.w
 0136  01918c00 422288fe            z: MULADD_IEEE        R17.z,  R0.w, KC0[12].w, PV.z
 0138  80000c82 61200c90            w: MOV                R9.w,  KC0[2].w
 0140  01118811 80000210    16      x: MIN_sat            R0.x,  R17.z, KC0[12].z
 0142  83108804 41680010            z: ADD                R11.z,  R4.z, -KC0[4].z       VEC_120
 0144  021fc008 01000010    17      x: ADD                R8.x,  R8.x, -PV.x
 0146  80001803 41400c90            z: MOV                R10.z,  -R3.z
 0148  001fc08a 81028000    18      x: MULADD_IEEE_sat    R8.x,  KC0[10].x, PV.x, R0.x
 0150  80000883 41e00c90            z: MOV                R15.z,  KC0[3].z
 0152  00010008 00000110    19      x: MUL_IEEE           R0.x,  R8.x, R8.x
 0154  00000483 21e00c90            y: MOV                R15.y,  KC0[3].y
 0156  80000882 41200c90            z: MOV                R9.z,  KC0[2].z
 0158  00000083 01e00c90    20      x: MOV                R15.x,  KC0[3].x
 0160  80000482 21200c90            y: MOV                R9.y,  KC0[2].y
 0162  0000800f 01e02800    21      x: DOT4               __.x,  R15.x, R4.x
 0164  0080840f 21e02810            y: DOT4               R15.y,  R15.y, R4.y
 0166  0100880f 41e02800            z: DOT4               __.z,  R15.z, R4.z
 0168  81808c0f 61e02800            w: DOT4               __.w,  R15.w, R4.w
 0170  80000082 01200c90    22      x: MOV                R9.x,  KC0[2].x
 0172  00008009 01e02810    23      x: DOT4               R15.x,  R9.x, R4.x
 0174  00808409 21e02800            y: DOT4               __.y,  R9.y, R4.y
 0176  01008809 41e02800            z: DOT4               __.z,  R9.z, R4.z
 0178  81808c09 61e02800            w: DOT4               __.w,  R9.w, R4.w
 0180  001f80fe 01a280fd    24      x: MULADD_IEEE        R13.x,  PV.x, 0.5, [0x3e800000 0.25].x
 0182  801f840f 21a280fd            y: MULADD_IEEE        R13.y,  R15.y, 0.5, [0x3e800000 0.25].x
 0184  3e800000 
0002  0000000a 80800800 TEX 3 @20
 0020  00011310 f00d1001 68818000 SAMPLE              R1.xyzw, R1.xyzw,   RID:19, SID:3 CT:NNNN
 0024  000f1010 f00d1009 68800000 SAMPLE              R9.xyzw, R15.xyzw,   RID:16, SID:0 CT:NNNN
 0028  000c1410 f00d100c 68820000 SAMPLE              R12.xyzw, R12.xyzw,   RID:20, SID:4 CT:NNNN
0004  8000005d a0740000 ALU 30 @186 KC0[CB0:0-31]
 0186  001fa009 01e00010    25      x: ADD                R15.x,  R9.x, [0xbf000000 -0.5].x
 0188  001fa409 21000010            y: ADD                R8.y,  R9.y, [0xbf000000 -0.5].x
 0190  00006809 40600110            z: MUL_IEEE           R3.z,  R9.z, R3.x
 0192  80806809 60000110            w: MUL_IEEE           R0.w,  R9.z, R3.y
 0194  bf000000 
 0196  0190c8fe 02200110    26      x: MUL_IEEE           R17.x,  PV.z, KC0[6].w
 0198  0190ccfe 20600110            y: MUL_IEEE           R3.y,  PV.w, KC0[6].w
 0200  0001800c 40600010            z: ADD                R3.z,  R12.x, R12.x
 0202  8081840c 60e00010            w: ADD                R7.w,  R12.y, R12.y
 0204  001fc808 0062800d    27      x: MULADD_IEEE        R3.x,  R8.z, PV.x, R13.x
 0206  001fc808 21e00110            y: MUL_IEEE           R15.y,  R8.z, PV.x
 0208  009fc808 41000110            z: MUL_IEEE           R8.z,  R8.z, PV.y
 0210  811fc800 600a8002            w: MULADD_IEEE        R0.w,  R0.z, PV.z, R2.x       VEC_120
 0212  031fc40d 02200010    28      x: ADD                R17.x,  R13.y, -PV.z
 0214  0180e400 206e8402            y: MULADD_IEEE        R3.y,  R0.y, R7.w, R2.y       VEC_102
 0216  0101880c 40600010            z: ADD                R3.z,  R12.z, R12.z
 0218  81806001 60628085            w: MULADD_IEEE        R3.w,  R1.x, R3.w, KC0[5].x
 0220  001fa40f 0242800d    29      x: MULADD_IEEE        R18.x,  R15.y, [0xbf000000 -0.5].x, R13.x
 0222  01806c00 20400110            y: MUL_IEEE           R2.y,  R0.w, R3.w
 0224  011fcc02 40728802            z: MULADD_IEEE        R3.z,  R2.w, PV.z, R2.z       VEC_201
 0226  8101a401 60ea8485            w: MULADD_IEEE        R7.w,  R1.y, R13.z, KC0[5].y  VEC_120
 0228  bf000000 
 0230  001fa003 01800010    30      x: ADD                R12.x,  R3.x, [0xbf000000 -0.5].x
 0232  001f8808 2242840d            y: MULADD_IEEE        R18.y,  R8.z, 0.5, R13.y
 0234  0180e403 40400110            z: MUL_IEEE           R2.z,  R3.y, R7.w
 0236  8100e801 610a8885            w: MULADD_IEEE        R8.w,  R1.z, R7.z, KC0[5].z   VEC_120
 0238  bf000000 
 0240  01810803 00400110    31      x: MUL_IEEE           R2.x,  R3.z, R8.w
 0242  801fa011 21800010            y: ADD                R12.y,  R17.x, [0xbf000000 -0.5].x
 0244  bf000000 
0006  00000010 80800000 TEX 1 @32
 0032  00121110 f00d1001 68808000 SAMPLE              R1.xyzw, R18.xyzw,   RID:17, SID:1 CT:NNNN
0008  8000007b a1cc0000 ALU 116 @246 KC0[CB0:0-31]
 0246  801fac01 00600110    32      x: MUL_IEEE           R3.x,  R1.w, [0x3dcccccd 0.1].x
 0248  3dcccccd 
 0250  81900408 21a280fe    33      y: MULADD_IEEE        R13.y,  R8.y, KC0[0].w, PV.x
 0252  0190000f 01a28003    34      x: MULADD_IEEE        R13.x,  R15.x, KC0[0].w, R3.x
 0254  800000fd 61a00c90            w: MOV                R13.w,  [0x00000000 0].x
 0256  00000000 
 0258  80000c04 41a00c90    35      z: MOV                R13.z,  R4.w
 0260  0001a00d 00602810    36      x: DOT4               R3.x,  R13.x, R13.x
 0262  0081a40d 20602800            y: DOT4               __.y,  R13.y, R13.y
 0264  0101a80d 40602800            z: DOT4               __.z,  R13.z, R13.z
 0266  8181ac0d 60602800            w: DOT4               __.w,  R13.w, R13.w
 0268  80000003 41e03391    37      t: RECIPSQRT_CLAMPED  R15.z,  |R3.x|
 0270  80000c0d 61c00c90    38      w: MOV                R14.w,  R13.w
 0272  0101e00d 00600110    39      x: MUL_IEEE           R3.x,  R13.x, R15.z
 0274  0101e40d 20800110            y: MUL_IEEE           R4.y,  R13.y, R15.z
 0276  80000c0d 62000c90            w: MOV                R16.w,  R13.w
 0278  00020010 00802800    40      x: DOT4               __.x,  R16.x, R16.x
 0280  00820410 20802800            y: DOT4               __.y,  R16.y, R16.y
 0282  01020810 40802810            z: DOT4               R4.z,  R16.z, R16.z
 0284  81820c10 60802800            w: DOT4               __.w,  R16.w, R16.w
 0286  0001c404 00800110    41      x: MUL_IEEE           R4.x,  R4.y, R14.x
 0288  0081c404 21000110            y: MUL_IEEE           R8.y,  R4.y, R14.y
 0290  8101c404 40e00110            z: MUL_IEEE           R7.z,  R4.y, R14.z
 0292  80000804 60803391    42      t: RECIPSQRT_CLAMPED  R4.w,  |R4.z|
 0294  0000c003 00828004    43      x: MULADD_IEEE        R4.x,  R3.x, R6.x, R4.x
 0296  0080c003 21028408            y: MULADD_IEEE        R8.y,  R3.x, R6.y, R8.y
 0298  8100c003 40828807            z: MULADD_IEEE        R4.z,  R3.x, R6.z, R7.z
 0300  8100a80f 41a28804    44      z: MULADD_IEEE        R13.z,  R15.z, R5.z, R4.z
 0302  0080a80f 21a28408    45      y: MULADD_IEEE        R13.y,  R15.z, R5.y, R8.y
 0304  81808810 42280110            z: MUL_IEEE           R17.z,  R16.z, R4.w           VEC_120
 0306  0000a80f 01a28004    46      x: MULADD_IEEE        R13.x,  R15.z, R5.x, R4.x
 0308  81808410 22200110            y: MUL_IEEE           R17.y,  R16.y, R4.w
 0310  0001a00d 00802810    47      x: DOT4               R4.x,  R13.x, R13.x
 0312  0081a40d 20802800            y: DOT4               __.y,  R13.y, R13.y
 0314  0101a80d 40802800            z: DOT4               __.z,  R13.z, R13.z
 0316  8181ac0d 60802800            w: DOT4               __.w,  R13.w, R13.w
 0318  80000004 02403391    48      t: RECIPSQRT_CLAMPED  R18.x,  |R4.x|
 0320  80000c0d 60c00c90    49      w: MOV                R6.w,  R13.w
 0322  001fa003 01e00110    50      x: MUL_IEEE           R15.x,  R3.x, [0xc0200000 -2.5].x
 0324  80000c0d 61600c90            w: MOV                R11.w,  R13.w
 0326  c0200000 
 0328  0001600b 00602810    51      x: DOT4               R3.x,  R11.x, R11.x
 0330  0081640b 20602800            y: DOT4               __.y,  R11.y, R11.y
 0332  0101680b 40602800            z: DOT4               __.z,  R11.z, R11.z
 0334  81816c0b 60602800            w: DOT4               __.w,  R11.w, R11.w
 0336  80000003 00603391    52      t: RECIPSQRT_CLAMPED  R3.x,  |R3.x|
 0338  001fa404 21e00110    53      y: MUL_IEEE           R15.y,  R4.y, [0xc0200000 -2.5].x
 0340  80000c0d 60a00c90            w: MOV                R5.w,  R13.w
 0342  c0200000 
 0344  01808010 02200110    54      x: MUL_IEEE           R17.x,  R16.x, R4.w
 0346  8000680b 42000110            z: MUL_IEEE           R16.z,  R11.z, R3.x
 0348  0000640b 22000110    55      y: MUL_IEEE           R16.y,  R11.y, R3.x
 0350  80000c0d 62200c90            w: MOV                R17.w,  R13.w
 0352  0000a011 00802810    56      x: DOT4               R4.x,  R17.x, R5.x
 0354  0080a411 20802800            y: DOT4               __.y,  R17.y, R5.y
 0356  0100a811 40802800            z: DOT4               __.z,  R17.z, R5.z
 0358  8180ac11 60802800            w: DOT4               __.w,  R17.w, R5.w
 0360  0000c011 00802800    57      x: DOT4               __.x,  R17.x, R6.x
 0362  0080c411 20802810            y: DOT4               R4.y,  R17.y, R6.y
 0364  0100c811 40802800            z: DOT4               __.z,  R17.z, R6.z
 0366  8180cc11 60802800            w: DOT4               __.w,  R17.w, R6.w
 0368  0001c011 00802800    58      x: DOT4               __.x,  R17.x, R14.x
 0370  0081c411 20802800            y: DOT4               __.y,  R17.y, R14.y
 0372  0101c811 40802810            z: DOT4               R4.z,  R17.z, R14.z
 0374  8181cc11 60802800            w: DOT4               __.w,  R17.w, R14.w
 0376  0000600b 02000110    59      x: MUL_IEEE           R16.x,  R11.x, R3.x
 0378  001fb004 20b00010            y: ADD                R5.y,  -R4.x, [0xbe800000 -0.25].x  VEC_201
 0380  801f9004 41d00190            z: MAX                R14.z,  -R4.x, 0.5            VEC_201
 0382  be800000 
 0384  001fa4fe 80800110    60      x: MUL_IEEE_sat       R4.x,  PV.y, [0x3faaaaab 1.33333].x
 0386  801f8804 21c00110            y: MUL_IEEE           R14.y,  R4.z, 0.5
 0388  3faaaaab 
 0390  001f30fe 00800010    61      x: ADD                R4.x,  -PV.x, 1.0
 0392  8002440d 21a00110            y: MUL_IEEE           R13.y,  R13.y, R18.x
 0394  801fc0fe 00800110    62      x: MUL_IEEE           R4.x,  PV.x, PV.x
 0396  801fc0fe 00800110    63      x: MUL_IEEE           R4.x,  PV.x, PV.x
 0398  801f8404 01c00110    64      x: MUL_IEEE           R14.x,  R4.y, 0.5
 0400  8002400d 01a00110    65      x: MUL_IEEE           R13.x,  R13.x, R18.x
 0402  8002480d 41a00110    66      z: MUL_IEEE           R13.z,  R13.z, R18.x
 0404  00000c0d 41800c90    67      z: MOV                R12.z,  R13.w
 0406  80000c0d 62000c90            w: MOV                R16.w,  R13.w
 0408  0001a010 00802800    68      x: DOT4               __.x,  R16.x, R13.x
 0410  0081a410 20802810            y: DOT4               R4.y,  R16.y, R13.y
 0412  0101a810 40802800            z: DOT4               __.z,  R16.z, R13.z
 0414  8181ac10 60802800            w: DOT4               __.w,  R16.w, R13.w
 0416  001fc0fe 00a00010    69      x: ADD                R5.x,  PV.x, PV.x
 0418  80000c0d 61800c90            w: MOV                R12.w,  R13.w
 0420  0001800c 00802800    70      x: DOT4               __.x,  R12.x, R12.x
 0422  0081840c 20802810            y: DOT4               R4.y,  R12.y, R12.y
 0424  0101880c 40802800            z: DOT4               __.z,  R12.z, R12.z
 0426  81818c0c 60802800            w: DOT4               __.w,  R12.w, R12.w
 0428  8000a80d 00c00110    71      x: MUL_IEEE           R6.x,  R13.z, R5.x
 0430  80000404 20803391    72      t: RECIPSQRT_CLAMPED  R4.y,  |R4.y|
 0432  80000c0d 61c00c90    73      w: MOV                R14.w,  R13.w
 0434  0001c00e 00802800    74      x: DOT4               __.x,  R14.x, R14.x
 0436  0081c40e 20802800            y: DOT4               __.y,  R14.y, R14.y
 0438  0101c80e 40802810            z: DOT4               R4.z,  R14.z, R14.z
 0440  8181cc0e 60802800            w: DOT4               __.w,  R14.w, R14.w
 0442  80000404 02003310    75      t: RECIP_IEEE         R16.x,  R4.y
 0444  80000804 20803391    76      t: RECIPSQRT_CLAMPED  R4.y,  |R4.z|
 0446  8000680b 41a29006    77      z: MULADD_IEEE        R13.z,  R11.z, R3.x, -R6.x
 0448  0000a40d 00c00110    78      x: MUL_IEEE           R6.x,  R13.y, R5.x
 0450  001fa010 a0a00110            y: MUL_IEEE_sat       R5.y,  R16.x, [0x40a00000 5].x
 0452  8080880e 42000110            z: MUL_IEEE           R16.z,  R14.z, R4.y
 0454  40a00000 
 0456  001fa4fe 02400010    79      x: ADD                R18.x,  PV.y, [0xbf800000 -1].x
 0458  8000640b 21a290fe            y: MULADD_IEEE        R13.y,  R11.y, R3.x, -PV.x
 0460  bf800000 
 0462  0000a00d 00a00110    80      x: MUL_IEEE           R5.x,  R13.x, R5.x
 0464  801fc407 20e280f9            y: MULADD_IEEE        R7.y,  R7.y, PV.x, 1.0
 0466  0000600b 01a290fe    81      x: MULADD_IEEE        R13.x,  R11.x, R3.x, -PV.x
 0468  8080e40c 20a280fc            y: MULADD_IEEE        R5.y,  R12.y, R7.y, 0.5
 0470  0002200d 00602810    82      x: DOT4               R3.x,  R13.x, R17.x
 0472  0082240d 20602800            y: DOT4               __.y,  R13.y, R17.y
 0474  0102280d 40602800            z: DOT4               __.z,  R13.z, R17.z
 0476  81822c0d 60602800            w: DOT4               __.w,  R13.w, R17.w
0010  800000ef a0b80000 ALU 47 @478 KC0[CB0:0-31]
 0478  0081a80d 01602910    83      x: CUBE               R11.x,  R13.z, R13.y
 0480  0001a80d 21602910            y: CUBE               R11.y,  R13.z, R13.x
 0482  0101a00d 41602910            z: CUBE               R11.z,  R13.x, R13.z
 0484  8101a40d 61602910            w: CUBE               R11.w,  R13.y, R13.z
 0486  80000003 80600c90    84      x: MOV_sat            R3.x,  R3.x
 0488  8000080b 21003311    85      t: RECIP_IEEE         R8.y,  |R11.z|
 0490  80000c0d 61400c90    86      w: MOV                R10.w,  R13.w
 0492  80000003 00603190    87      t: LOG_IEEE           R3.x,  R3.x
 0494  0081000b 20c280fd    88      y: MULADD_IEEE        R6.y,  R11.x, R8.y, [0x3fc00000 1.5].x
 0496  80000c0d 61e00c90            w: MOV                R15.w,  R13.w
 0498  3fc00000 
 0500  0001400f 00802800    89      x: DOT4               __.x,  R15.x, R10.x
 0502  0081440f 20802800            y: DOT4               __.y,  R15.y, R10.y
 0504  0101480f 40802810            z: DOT4               R4.z,  R15.z, R10.z
 0506  81814c0f 60802800            w: DOT4               __.w,  R15.w, R10.w
 0508  000060fd 00600090    90      x: MUL                R3.x,  [0x43000000 128].x, R3.x
 0510  800000fe a1400c90            y: MOV_sat            R10.y,  PV.x
 0512  43000000 
 0514  80000003 00603090    91      t: EXP_IEEE           R3.x,  R3.x
 0516  8110040a 21400110    92      y: MUL_IEEE           R10.y,  R10.y, KC0[0].z
 0518  0000e003 00600110    93      x: MUL_IEEE           R3.x,  R3.x, R7.x
 0520  809fcc09 21400110            y: MUL_IEEE           R10.y,  R9.w, PV.y
 0522  001f84fe 00e00110    94      x: MUL_IEEE           R7.x,  PV.y, 0.5
 0524  8080840e 22000110            y: MUL_IEEE           R16.y,  R14.y, R4.y
 0526  8081040b 00c280fd    95      x: MULADD_IEEE        R6.x,  R11.y, R8.y, [0x3fc00000 1.5].x
 0528  3fc00000 
 0530  0080e00c 00a280fc    96      x: MULADD_IEEE        R5.x,  R12.x, R7.y, 0.5
 0532  80000c0b 40c00c90            z: MOV                R6.z,  R11.w
 0534  0080800e 02000110    97      x: MUL_IEEE           R16.x,  R14.x, R4.y
 0536  80000006 60c80c90            w: MOV                R6.w,  R6.x                   VEC_120
 0538  80000c0d 62000c90    98      w: MOV                R16.w,  R13.w
 0540  0002000f 00802800    99      x: DOT4               __.x,  R15.x, R16.x
 0542  0082040f 20802810            y: DOT4               R4.y,  R15.y, R16.y
 0544  0102080f 40802800            z: DOT4               __.z,  R15.z, R16.z
 0546  81820c0f 60802800            w: DOT4               __.w,  R15.w, R16.w
 0548  801fc0fe 01400113   100      x: MUL_IEEE           R10.x,  |PV.x|, |PV.x|
 0550  801fc0fe 01600110   101      x: MUL_IEEE           R11.x,  PV.x, PV.x
 0552  801fc00a 01400110   102      x: MUL_IEEE           R10.x,  R10.x, PV.x
 0554  801fcc09 01200110   103      x: MUL_IEEE           R9.x,  R9.w, PV.x
 0556  800080fe 00800110   104      x: MUL_IEEE           R4.x,  PV.x, R4.x
 0558  801f80fe 00800110   105      x: MUL_IEEE           R4.x,  PV.x, 0.5
 0560  018040fe 01228007   106      x: MULADD_IEEE        R9.x,  PV.x, R2.w, R7.x
 0562  008000fe 20028007            y: MULADD_IEEE        R0.y,  PV.x, R0.y, R7.x
 0564  810000fe 40028007            z: MULADD_IEEE        R0.z,  PV.x, R0.z, R7.x
 0566  01810803 00e28009   107      x: MULADD_IEEE        R7.x,  R3.z, R8.w, R9.x
 0568  8180e403 20068400            y: MULADD_IEEE        R0.y,  R3.y, R7.w, R0.y       VEC_021
 0570  81806c00 40628800   108      z: MULADD_IEEE        R3.z,  R0.w, R3.w, R0.z
0012  00000012 80800400 TEX 2 @36
 0036  00051110 f00d1004 68808000 SAMPLE              R4.xyzw, R5.xyzw,   RID:17, SID:1 CT:NNNN
 0040  00061210 f00d1006 68810000 SAMPLE              R6.xyzw, R6.xyzw,   RID:18, SID:2 CT:NNNN
0014  8000011e a08c0000 ALU 36 @572 KC0[CB0:0-31]
 0572  00900806 00a00110   109      x: MUL_IEEE           R5.x,  R6.z, KC0[0].y
 0574  00900006 20600110            y: MUL_IEEE           R3.y,  R6.x, KC0[0].y
 0576  00900406 40000110            z: MUL_IEEE           R0.z,  R6.y, KC0[0].y
 0578  801fac01 60028004            w: MULADD_IEEE        R0.w,  R1.w, [0x3dcccccd 0.1].x, R4.x
 0580  3dcccccd 
 0582  001fc002 00a00110   110      x: MUL_IEEE           R5.x,  R2.x, PV.x
 0584  009fc402 20400110            y: MUL_IEEE           R2.y,  R2.y, PV.y
 0586  011fc802 40000110            z: MUL_IEEE           R0.z,  R2.z, PV.z
 0588  801fac01 60428804            w: MULADD_IEEE        R2.w,  R1.w, [0x3dcccccd 0.1].x, R4.z
 0590  3dcccccd 
 0592  01006c00 004284fe   111      x: MULADD_IEEE        R2.x,  R0.w, R3.z, PV.y
 0594  0000ec02 204a80fe            y: MULADD_IEEE        R2.y,  R2.w, R7.x, PV.x       VEC_120
 0596  801fac01 40328404            z: MULADD_IEEE        R1.z,  R1.w, [0x3dcccccd 0.1].x, R4.y  VEC_201
 0598  3dcccccd 
 0600  00128003 00228002   112      x: MULADD_IEEE        R1.x,  R3.x, KC0[20].x, R2.x
 0602  01128003 20228402            y: MULADD_IEEE        R1.y,  R3.x, KC0[20].z, R2.y
 0604  80800801 40028800            z: MULADD_IEEE        R0.z,  R1.z, R0.y, R0.z
 0606  0013c001 00200110   113      x: MUL_IEEE           R1.x,  R1.x, KC0[30].x
 0608  0013c401 20000110            y: MUL_IEEE           R0.y,  R1.y, KC0[30].x
 0610  80928003 400a8800            z: MULADD_IEEE        R0.z,  R3.x, KC0[20].y, R0.z  VEC_120
 0612  021fc09d 00600010   114      x: ADD                R3.x,  KC0[29].x, -PV.x
 0614  829fc89d 20200010            y: ADD                R1.y,  KC0[29].z, -PV.y
 0616  001fc000 00428001   115      x: MULADD_IEEE        R2.x,  R0.x, PV.x, R1.x
 0618  001fc008 204e8001            y: MULADD_IEEE        R2.y,  R8.x, PV.x, R1.x       VEC_102
 0620  009fc000 40228400            z: MULADD_IEEE        R1.z,  R0.x, PV.y, R0.y
 0622  809fc008 600a8400            w: MULADD_IEEE        R0.w,  R8.x, PV.y, R0.y       VEC_120
 0624  02004402 00600010   116      x: ADD                R3.x,  R2.y, -R2.x
 0626  03002c00 20000010            y: ADD                R0.y,  R0.w, -R1.z
 0628  8013c800 40000110            z: MUL_IEEE           R0.z,  R0.z, KC0[30].x
 0630  031fc49d 00800010   117      x: ADD                R4.x,  KC0[29].y, -PV.z
 0632  809fc08a 40228801            z: MULADD_IEEE        R1.z,  KC0[10].x, PV.y, R1.z
 0634  0000608a 00228002   118      x: MULADD_IEEE        R1.x,  KC0[10].x, R3.x, R2.x
 0636  801fc008 20028800            y: MULADD_IEEE        R0.y,  R8.x, PV.x, R0.z
 0638  80008000 40028800   119      z: MULADD_IEEE        R0.z,  R0.x, R4.x, R0.z
 0640  83000400 00000010   120      x: ADD                R0.x,  R0.y, -R0.z
 0642  801fc08a 20228800   121      y: MULADD_IEEE        R1.y,  KC0[10].x, PV.x, R0.z
0016  c0008000 94600a88 EXPORT_DONE        PIXEL 0     R1.xyz1  VPM  EOP
===== SHADER_END ===============================================================

invalid fetch source operand  2 SAMPLE     t16||FP@R1.x, t17||FP@R1.y, t18||FP@R1.z, __,       t13||FP@R8.x, t14||FP@R8.y, t15||FP@R125.z, 0|00000000
ALSA lib pcm.c:7339:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7339:(snd_pcm_recover) underrun occurred
Uploading dump (out-of-process) [proxy '']
/tmp/dumps/crash_20130713124805_1.dmp
/mnt/backup/Steam/SteamApps/common/Team Fortress 2/hl2.sh: line 67:  6092 Aborted                 (core dumped) ${GAME_DEBUGGER} "${GAMEROOT}"/${GAMEEXE} "$@"
Game removed: AppID 440 "Team Fortress 2", ProcID 6092 
Finished uploading minidump (out-of-process): success = yes
response: CrashID=bp-2cb19e93-6f99-4c01-a2fc-18e7e2130713
Generating new string page texture 1038: 24x256, total string texture memory is 3.64 MB
Comment 4 Hubert Kario 2013-07-13 13:23:16 UTC
Comment on attachment 82385 [details]
Team fortress 2 with R600_DEBUG=sb,ps,vs

it's a compressed file...
Comment 5 Vadim Girlin 2013-07-13 23:07:32 UTC
You didn't mention llvm backend so I tried without it. Now I see some problems, but so far for me it looks not really sb-related. I'll try to sort it out, though I don't think that using llvm and sb together makes a lot of sense - they are basically trying to do the same things so it's just a duplication of work. Also such configuration is less tested than llvm backend or sb alone, so you might want to use only one of them (at least until this issue is fixed).
Comment 6 Vadim Girlin 2013-07-14 02:40:39 UTC
Created attachment 82400 [details] [review]
[PATCH 1/2] r600g/sb: fix register allocation

Does this patch help?
Comment 7 Vadim Girlin 2013-07-17 14:49:48 UTC
Fix pushed with commit 44ebe7291ccd100f9e2ad8d5b7f86e9844ad6f3c
Comment 8 Hubert Kario 2013-07-28 13:05:09 UTC
Sorry for the late reply

I haven't checked exactly the patch you posted but git-e847b5a fixes the problem.

Thanks!